位置:首頁 > 軟件操作教程 > 工業(yè)產(chǎn)品軟件 > SolidWorks > 問題詳情

Rhino 常用創(chuàng)建幾何體函數(shù) 5 其它常用函數(shù)

提問人:劉團(tuán)圓發(fā)布時(shí)間:2020-10-23

       1)彈出消息框:(簡寫: MsgBox)

                Rhino.MessageBox (strMessage [, intButtons [, strTitle]])

         2)打開指定格式的文件:

                Rhino.OpenFileName ([strTitle [, strFilter [, strFolder [, strFilename

                [,  strExtension]]]]])

         3)點(diǎn)坐標(biāo)轉(zhuǎn)換為字符串:

                Rhino.Pt2Str (arrPoint [, intPrecision [, blnSpace]])

         4)讀取文本信息:

                Rhino.ReadTextFile (strFileName [, blnIgnoreEmptyRows [, 

                blnTrimSpaces]])

         5)輸入信息到文本:

                Rhino.WriteTextFile (strFileName, arrStrings [, blnAppend [, 

                intEncoding]])

         6)添加文字:

                Rhino.AddText (strText, arrPoint [, dblHeight [, strFont [, intStyle [, 

                intJustification]]]])

         7)添加Dot文字:

                Rhino.AddTextDot (strText, arrPoint)

         8)包裹物件:

                Rhino.BoundingBox (arrObjects [, arrPlane [, blnWorldCoords]])

         9)求文字的點(diǎn)坐標(biāo):

                Rhino.TextObjectPoint (strObject [, arrPoint])

       10)把文字從ID格式轉(zhuǎn)換成文字格式:

                Rhino.TextObjectText (strObject [, strText])

       11)返回標(biāo)注的數(shù)字(包括手動(dòng)修改的):

                Rhino.DimensionText (strObject)

       12)修改標(biāo)注數(shù)字:

                Rhino.DimensionUserText (strObject [, strUserText])

       13)設(shè)置腳步快捷鍵:

                Rhino.AddAlias (strAlias, strMacro)

       14)使用rhino內(nèi)部命令:

                Rhino.Command (strCommand [, blnEcho])

       15)用指定符號(hào)分割字段:

                Rhino.Strtok (strText [, strDelimiters])


繼續(xù)查找其他問題的答案?

相關(guān)視頻回答
回復(fù)(0)
返回頂部